//=============================================================================
// IPPlugin_227.
//	Author: Pravin P. Prabhu
//	Revision: 1.0
//	Last Modified: 1/21/09
// 	Abstract:
//		Provides the definition for the retrieveIP function in the context of
//	Unreal version 227. When asked what a player's IP is, will use 227's methods
//	to return the correct information.
//=============================================================================
class IPPlugin227 expands IPPlugin;

/* retrieveIP
 * Abstract: Returns the dotted IP representation of a player
 * Parameters: other - player to evaluate; if null, return last prelogin ip
 * Return: see above
 */
static function string retrieveIP( LevelInfo Context, PlayerPawn Other )
{
  local int port; // Port of connection we are evaluating

  if( other == none )
    return context.game.getpropertytext("lastPreLoginIP");
  return context.getConIP( netConnection(other.player), port );
}

defaultproperties
{
}
