//=============================================================================
// IPPlugin.
//	Author: Pravin P. Prabhu
//	Revision: 1.0
//	Last Modified: 1/21/09
//	Abstract:
//		Provides the framework for the class that will be used to obtain IP
//	information about any given connection.
//=============================================================================
class IPPlugin expands Info;

/* retrieveIP
 * Abstract:
 *	Returns the dotted IP associated with a certain player, or if null is passed
 * returns the IP of the last person to connect (prelogin ip)
 *
 * Parameters:
 *	Other - Player you wish to evaluate; if null, indicates to return last prelogin ip
 *
 * Return:
 *	Dotted IP including port of the player, i.e. 1.2.3.4:5678
 */
static function string retrieveIP( LevelInfo Context, PlayerPawn Other );

defaultproperties
{
}
